Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class ObjectStreamConnection

    java.lang.Object
      ix.util.ipc.ObjectStreamConnection

All Implemented Interfaces:
  IPC.Connection

    public class ObjectStreamConnection

extends java.lang.Object
implements IPC.Connection

A Connection that is used to send and receive serialized objects via a socket. N.B. The name of the agent on the other end is known initially only when the connection was created for sending, but in some cases it may be discovered later on.

Field Summary
`(package private) java.lang.Object` | `destination`
`(package private) java.io.ObjectInputStream` | `in`
`(package private) java.io.ObjectOutputStream` | `out`
`(package private) java.net.Socket` | `sock`

Constructor Summary
`ObjectStreamConnection(java.lang.Object destination, java.net.Socket s)`
`ObjectStreamConnection(java.net.Socket s)`

Method Summary
`void` | `close()`
`java.lang.Object` | `getDestination()`
`java.net.Socket` | `getSocket()`
`java.lang.Object` | `receive()`
`void` | `send(java.lang.Object contents)`
`void` | `setDestination(java.lang.Object destination)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destination

    java.lang.Object destination

### sock

    java.net.Socket sock

### in

    java.io.ObjectInputStream in

### out

    java.io.ObjectOutputStream out

Constructor Detail

### ObjectStreamConnection

    public ObjectStreamConnection(java.net.Socket s)

### ObjectStreamConnection

    public ObjectStreamConnection(java.lang.Object destination,
                                  java.net.Socket s)

Method Detail

### getDestination

    public java.lang.Object getDestination()

  Specified by:
    `getDestination` in interface `IPC.Connection`

### setDestination

    public void setDestination(java.lang.Object destination)

### getSocket

    public java.net.Socket getSocket()

### close

    public void close()

  Specified by:
    `close` in interface `IPC.Connection`

### send

    public void send(java.lang.Object contents)

  Specified by:
    `send` in interface `IPC.Connection`

### receive

    public java.lang.Object receive()

  Specified by:
    `receive` in interface `IPC.Connection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD